Update a knowledge base
curl --request PATCH \
--url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base": {
"name": "Updated Name",
"description": "<string>",
"search_score_threshold": 123,
"search_chunk_limit": 123
}
}
'import requests
url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}"
payload = { "knowledge_base": {
"name": "Updated Name",
"description": "<string>",
"search_score_threshold": 123,
"search_chunk_limit": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base: {
name: 'Updated Name',
description: '<string>',
search_score_threshold: 123,
search_chunk_limit: 123
}
})
};
fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully updated a knowledge base.",
"knowledge_base": {}
}{
"error": "Invalid access."
}{
"error": "Knowledge base not found."
}Knowledge Bases
Update a knowledge base
Updates name, description, or search settings of an existing knowledge base.
PATCH
/
v1
/
public
/
workspaces
/
{workspace_id}
/
knowledge_bases
/
{knowledge_base_id}
Update a knowledge base
Authorizations
Workspace API key sent as Authorization: Bearer <api_key>.
Path Parameters
Workspace UUID
Knowledge base UUID
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I

